#ups/upd has to already be working on the system this script is
#run on.
#A simple way is to install upsupdbootstrap and upsupdbootstrap-fnal
#if you are on a SLF 4 or 5 system.  and upsupdbootstrap-fnal on SLF 6 
#The 2 SETUPS defines below need to point to your ups install
SETUPS_home=/fnal/ups
SETUPS_DIR=/usr/local/etc
PERL_DIR=/usr
export PERL_DIR
export SETUPS_DIR
TMP_SPECS=/tmp/upsupdboot-specs
UPS_UPD_NAME=upsupdbootstrap
VAR_TMP_DIR=/var/tmp/$UPS_UPD_NAME
RESULT_DIR=/root/rpmbuild/SOURCES

#Clean up and save old versions
for filename in mkcdrom $VAR_TMP_DIR.2back 
do
   if [ -s $filename ] ; then
      rm $filename 
   fi
done

if [ -s $VAR_TMP_DIR.1back ] ; then
  mv -f $VAR_TMP_DIR.1back $VAR_TMP_DIR.2back
fi
if [ -d $VAR_TMP_DIR ] ; then
  rm -r $VAR_TMP_DIR
fi
mkdir $VAR_TMP_DIR 

#download latest version of mkcdrom
wget ftp://ftp.fnal.gov/products/bootstrap/.v2_2/mkcdrom
if [  ! -s mkcdrom ] ; then
   echo "mkcdrom is missing,  exiting now"
   exit 2
fi

#Actually make the bootstrap and put it in $VAR_TMP_DIR 
sh mkcdrom -f Linux+2 -b $VAR_TMP_DIR fullFUE
#sh -x mkcdrom -f Linux+2 -b /var/tmp/upsupdbootstrap fullFUE

#Save off this script and the spec files so we can build in the future
mkdir $VAR_TMP_DIR/rpm
cp *.spec $VAR_TMP_DIR/rpm/
cp makerpm.sh $VAR_TMP_DIR/rpm/
cp mkcdrom $VAR_TMP_DIR/rpm/mkcdrom.one.used
#if [ ! -d $TMP_SPECS ] ; then
#  mkdir $TMP_SPECS
#fi
#cp *.spec $TMP_SPECS 

cd /tmp/
#ARCH=`uname -i`
#if [ $ARCH = "i386" ] ; then
#  scp sl6:/mnt/sl6.i386/bin/sleep .
#  scp sl6:/mnt/sl6.i386/bin/uname .
#else
#  scp sl6:/bin/sleep .
#  scp sl6:/bin/uname .
#fi

#tar up the output of mkcdrom
cd /var/tmp/
tar -cvzf $RESULT_DIR/$UPS_UPD_NAME.tar.gz $UPS_UPD_NAME 

#Build the rpms now

rpmbuild -ba $VAR_TMP_DIR/rpm/$UPS_UPD_NAME.spec

#clean up as did a tar of this area a few lines ago
#if [ -d $VAR_TMP_DIR ] ; then
#  rm -r $VAR_TMP_DIR 
#fi
