#
%define UPS_UPD_NAME upsupdbootstrap
%define __perl_requires %{nil}
Summary: UPS/UPD boot
Name: %{UPS_UPD_NAME}
Version: 6.0
Release: 2
License: Fermi 
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Source: %{UPS_UPD_NAME}.tar.gz
Distribution: SLF 6.x
Vendor: Fermilab
Packager: Connie Sieh
requires: perl, perl-libwww-perl, pam 
requires: coreutils
BuildRoot: %{_tmppath}/%{name}-%{version}root
%description
Fermi UPS/UPD bootstrap created via mkcdrom  .  

%install
#mkdir bin
#install -m 0755 /tmp/uname bin/uname
#install -m 0755 /tmp/sleep bin/sleep
#Going to try to have a requires on this again but did not work last time
#Untar the tar file that was created by makerpm.sh
mkdir -p $RPM_BUILD_ROOT/var/tmp
cd $RPM_BUILD_ROOT/var/tmp
tar xvfz %{SOURCE0}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%define installlocation fnal
%define otherone local
%package %{installlocation} 
###############################################################################
# Now making package for /fnal 
# Using
#   CONFIG=/var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/configs/generic
###############################################################################
Summary: ups/upd bootstrap install for /%{installlocation} .
Group: Fermi 
requires: /lib/libc.so.6
conflicts: %{UPS_UPD_NAME}-%{otherone}
%description %{installlocation}
Installs upsupd bootstrap into /%{installlocation} .  Will NOT overwrite a existing UPS/UPD install located in /%{installlocation} .  Will NOT upgrade a existing UPS/UPD install located in /%{installlocation} .

%files %{installlocation}
/var/tmp/%{UPS_UPD_NAME}/*

%pre %{installlocation}
if [ -d /%{installlocation}/ups ] ; then
  echo "Will not overwrite a existing /%{installlocation} area."
  echo "If you need to overwrite it then remove /%{installlocation}"
  echo ", and install this rpm again"
  exit 0
else
  if [ ! -s /etc/shadow ] ; then
    touch /etc/shadow
    chmod 400 /etc/shadow
  fi
fi

%post %{installlocation}
for i in perl bash tcsh
do
  if [ -L /usr/local/bin/$i ] ; then
     rm /usr/local/bin/$i
  fi
done

#This is because the install permissions of /dev/null do not allow non root writes
#This was a issue for SLF 5
chmod 666 /dev/null
VERSION=.v2_2
UPDINPUTDIR=/var/tmp/%{UPS_UPD_NAME}/
if [ -s $UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh -a -d $UPDINPUTDIR ]; then
  chmod 755 $UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh
#CJS edit out making of /usr/local/bin/bash links
  CONFIG=$UPDINPUTDIR/prd/bootstrap/$VERSION/configs/generic
  sed -e "s/do_ups installasroot shells/#do_ups installasroot shells/" $CONFIG > /tmp/config.save
 $UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh -c $UPDINPUTDIR /tmp/config.save 
 if [ -d $UPDINPUTDIR ] ; then
   rm -r $UPDINPUTDIR 
 fi
else
 echo "$UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh does not exist"
 exit 1
fi
%postun %{installlocation}

############################################################################
############################################################################

%define installlocation local 
%define otherone fnal 

%package %{installlocation} 
##########################################################################
# now make the install /local rpm . 
# Using
#   CONFIG=/var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/configs/%{installlocation}
##########################################################################

Summary: ups/upd bootstrap install for /%{installlocation}
Group: Fermi 
requires: /lib/libc.so.6
conflicts: %{UPS_UPD_NAME}-%{otherone}
%description %{installlocation}
Installs upsupd bootstrap into /%{installlocation} .  Will NOT overwrite a existing UPS/UPD install located in /%{installlocation} .  Will NOT upgrade a existing UPS/UPD install located in /%{installlocation} .

%files %{installlocation}
/var/tmp/%{UPS_UPD_NAME}/*

%pre %{installlocation}
if [ -d /%{installlocation}/ups ] ; then
  echo "Will not overwrite a existing /%{installlocation} area."
  echo "If you need to overwrite it then remove /%{installlocation}"
  echo ", and install this rpm again"
  exit 0
else
  if [ ! -s /etc/shadow ] ; then
    touch /etc/shadow
    chmod 400 /etc/shadow
  fi
fi

%post %{installlocation}
for i in perl bash tcsh
do
  if [ -L /usr/local/bin/$i ] ; then
     rm /usr/local/bin/$i
  fi
done

#This is because the install permissions of /dev/null do not allow non root writes
#This was a issue for SLF 5
chmod 666 /dev/null
VERSION=.v2_2
UPDINPUTDIR=/var/tmp/%{UPS_UPD_NAME}/
if [ -s $UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh -a -d $UPDINPUTDIR ]; then
  chmod 755 $UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh
#CJS edit out making of /usr/local/bin/bash links
  CONFIG=$UPDINPUTDIR/prd/bootstrap/$VERSION/configs/%{installlocation}
  sed -e "s/do_ups installasroot shells/#do_ups installasroot shells/" $CONFIG > /tmp/config.save
 $UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh -c $UPDINPUTDIR /tmp/config.save 
 if [ -d $UPDINPUTDIR ] ; then
   rm -r $UPDINPUTDIR
 fi
else
 echo "$UPDINPUTDIR/prd/bootstrap/$VERSION/stage1.sh does not exist"
 exit 1
fi
%postun %{installlocation}
